/* ----- Général ---------- */

@font-face {
    font-family: "Dosis";
    src: url(./assets/DosisMedium.ttf);
}

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;   
}

body {
   
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'Dosis';
    background-color: white;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    padding-top: 2%;
} 

h2 {
    text-align: center;
    font-size: 23px;
    color: #186587;
}

h1 {
    font-size: 30px;
    font-weight: 700;
}


/* ----- Header ---------- */


header {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    padding: 10px;
    box-shadow: 0 0 1px 0 rgba(0,0,0,.2), 0 0.075rem 0.6rem 0 rgba(0,0,0,.19);
    display: flex;
    align-items: center;
}

.logo {
    display: flex;
    margin-left: 2%;
}

.logo img {
    width : 90px;
}

.navbar a {
    position: relative;
    font-size: 1.15rem;
    color: black;
    font-weight: 500;
    margin: 0 40px 0 40px;
} 

#check {
    display: none;
}

header .menu-deroulant {
    font-size: 2.2em;
    color: black;
    cursor: pointer;
    position: absolute;
    right: 7%;
    display: none;
    border-radius: 0.5rem;
}

header .menu-deroulant:hover {
    background-color: rgba(25, 100, 135);
    color: white;
    transition: 0.4s;
}


/* ----- Main Accueil / Général ---------- */


.banniere {
    display: flex;
    align-items: center;
    flex-direction: column;
    background-size: cover ;
}

#acc {
    margin-top: 83px;
}

#acc img,#inf img {
    width: 100% ;
}

.banniere h1 {
    color:rgb(25, 101, 135);
    z-index: 1;
}

#acc h1 {
    margin-bottom: -120px;
}

#d1_a {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#d1_a h1{
    margin: 20px 0 20px 0;
    background: linear-gradient(to top, rgba(25, 100, 135) 10%, transparent 10.01%) no-repeat right top / 0 100%;
    transition: background-size .5s;
}

#d1_a h1:hover {
    background-size: 45% 100%; 
}

#d1_a p {
    display: flex;
    text-align: center;
    width: 80%;
    font-weight: 500;
    font-size : 23px;
}

#d2_a {
    display: flex;
    justify-content: space-between;
    gap: 2vw;
    width: 80%;
}

#d2_a a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10%;
    width: 30%;
    height: 240px;
    cursor: pointer;
    border: solid 3px #69A8C3;
    border-radius: 10px;
    background-color: #186587;
    box-shadow: 0px 6px 4px 0px rgba(0, 0, 0, 0.25);
}

#d2_a a:hover {
    transform: scale(1.025);
    transition: .3s;
}

#d2_a a p { 
    font-size: 33px;
    font-weight: bold;
    color: #fafafa;
}

#d2_a a img {
    width: 60%;
}

.div_text {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 80%;
}

.div_text:not(#d3_a) {
    box-shadow: 0px 6px 4px 0px rgba(0, 0, 0, 0.25);
}

#d3_a div {
    box-shadow: 0px 6px 4px 0px rgba(0, 0, 0, 0.25);
}

.div_text div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10%;
    height: 260px;
    width: 90%;
    padding: 0 10px 0 10px;
}

.div_text div p {
    font-size : 18px;
}

#d3_a img {
    height: 240px;
    transform: rotate(9deg);
}

.plus {
    font-size: 23px;
    padding: 5px 15px 5px 15px;
    margin-top: -65px;  
    color: #fafafa;
    border: 2px solid #69A8C3;
    border-radius: 30px;
    background-color: #186587; 
    box-shadow: 0px 2px 0px 0px rgba(25, 100, 135, 0.635);
    margin-left: 150px;
}

.plus:hover {
    background-color: #69A8C3;
    border: 2px solid #186587;
    box-shadow: 0px 2px 0px 0px #186587;
}

.plus:active {
    position: relative;
    top: 1px;
    box-shadow: none;
}


/* ----- Main s'informer / Général ---------- */


#inf {
    display: grid;
}

.banniere div {
    color:rgb(25, 101, 135);
    z-index: 1;
}

#inf div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 2%;
    width: 35%;
    height: 180px;
    margin: -40% 0 0 10%;
    background-color: #69a8c3;
    z-index: 2;
}

#b2 {
    display: none;
}

#main_s>div:not(div:nth-child(5)){
    display: flex;
    width: 90%;
}

#main_s section {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#main_s div>section{
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 2%;
} 

#main_s section>section>section {
    border-left: #186587 solid 3px;
    padding-left: 5px;
    margin-left: 5px;
}

.div_text:not(#d3_a) img{
    width: 250px;
}

.div_text:not(#d3_a) section p {
    font-size: 15px;
}

.div_text:not(#d3_a):hover section {
    color: white;
    transition: 0.3s;
}

.div_text:not(#d3_a):first-child:hover,.div_text:not(#d3_a):nth-child(3):hover {
    background-color: #69A8C3;
    transition: 0.3s;
}

.div_text:not(#d3_a):nth-child(2):hover,.div_text:not(#d3_a):nth-child(4):hover {
    background-color: #186587;
    transition: 0.3s;
}

.div_text:not(#d3_a):nth-child(2):hover h2,.div_text:not(#d3_a):nth-child(4):hover h2 {
    color: #69A8C3;
    transition: 0.3s;
}


/* ----- Besoin d'aide ---------- */


.besoin_aide {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 90%;
    height: 440px;
    margin-bottom: 55px;
    gap: 12%;
}

#img_aide {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 350px;
    background-color: #186587;
}

#img_aide img {
    width: 90%;
    margin-left: 50%;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

#img_aide h2 {
    margin-left: 50%;
    margin-top: -13%;
}

#aide {
    display: grid;
    gap: 3%;
    padding: 3%;
    width: 50%;
    background-color: #69A8C3;
}

#aide input, #aide select, #aide textarea, #aide button {
    font-family: "Dosis";
    font-size: 15px;
    padding: 10px;
    border: solid 1px grey;
    resize: none;
}

#aide button {
    font-size: 25px;
    font-weight: bold;
    color: #fafafa;
    background-color: #186587;
    box-shadow: 2px 2px 0px 0px rgba(25, 100, 135, 0.635) ;
    border: none;
    border-radius: 10px;
}

#aide button:active {
    position: relative;
    top: 2px;
    left: 2px;
    box-shadow: none;
}


/* ----- Footer ---------- */


footer {
    display: grid;
    text-align: center;
    grid-template: 3fr / 3fr 3fr ;
    width: 100%;
    height: 170px;
    padding: 1%;
    background-color: #F1F1F1;
} 

footer section {
    display: flex;
    flex-direction:column;
    justify-content: center;
    align-items: center;
    font-size: 1.15rem;
    color: black;
}

footer section a {
    color: black;
    cursor: pointer;
}

footer section p {
    font-weight: 600;
}

footer section:not(:last-child) a {
    background: linear-gradient(to top, rgba(25, 100, 135) 10%, transparent 10.01%) no-repeat left bottom / 0 100%;
    transition: background-size .5s;
}

footer section a:hover {
    background-size: 100% 100%;
}

footer section:not(:nth-child(3)) p {
    margin-bottom: 5px;
}

footer section:first-child {
    border-right: solid 2px lightgrey;
}

footer section:nth-child(2) {
    border-left: solid 2px lightgray;
}

footer section:nth-child(3) {
    grid-area: 2/1/3/3;
}

footer section:nth-child(4) {
    grid-area: 1/3/3/3;
    font-size: 1.7em;
}

footer section:nth-child(4) i:hover {
    transform: scale(1.05);
    transition: 0.5s;
    color: #186587;
}


/* ----- Page transports ----- */


.banniere #Infos {
    color: black;
}

main .dif_type_transp {
    display: flex;
    flex-direction: column;
    border: 4px solid #186587;
    border-radius: 20px;
    margin: 20px;
    padding: 30px;
}

main .dif_type_transp h2 {
    margin-bottom: 30px;
}

main .dif_type_transp p {
    font-size: 1.4em;
    margin: 10px;
}

main .dif_type_transp #Tram_resp {
    display: none;
}

main .dif_type_transp #Tram {
    width: 100%;
    max-width: 900px;
}

main .onglet {
    display: flex;
    flex-direction: row;
}

main .onglet_tram, main .onglet_bus, main .onglet_velov {
    color: white;
    font-size: 1.2em;
    padding: 15px;
    margin: 2px;
    margin-bottom: -80px;
    border-radius: 10px;
}

main .onglet_tram:hover, main .onglet_bus:hover, main .onglet_velov:hover {
    cursor: pointer;
}

main .onglet_tram {
    background-color: #186587;
}

main .onglet_bus, main .onglet_velov {
    background-color: #69A8C3;
}

main .Tram {
    display: flex;
    flex-direction: column;
    border: 4px solid #186587;
    border-radius: 20px;
    margin: 20px;
    padding: 30px;
    background-color: white;
}

main .Tram p {
    font-size: 1.4em;
    margin: 20px;
}

main .Tram #horaires p:nth-child(3), main #tarifs p:nth-child(2) {
    margin-left: 70px;
    margin-top: -40px;
}

main .Tram #horaires p:nth-child(4) {
    margin-left: 150px;
}

main #tarifs p:nth-child(4), main #tarifs p:nth-child(5) {
    margin-left: 100px;
}

main #tarifs p:nth-child(6) {
    margin-top: 50px;
    margin-bottom: 10px;
}

main .Tram img {
    width: 50px;
}


/* ----- Tableau ----- */


table {
    border-collapse : collapse;
    display: flex;
    justify-content: center;
}

td {
	border: 2px solid black;
    text-align: center;
    padding: 2px 2px 2px 2px;
}

th {
	border: 2px solid black;
    text-align: center;
    padding: 10px 10px 10px 10px;
}

caption {
    font-weight: bold;
}

table {
    margin: 20px;
}

#tab_1_resp, #tab_2_resp {
    display: none;
}


/* ----- Responsive Général ---------- */


@media screen and (min-width: 1000px){
    main {
        width: 1000px;
    }

    #b1 {
        display: none;
    }

    #b2 {
        display: flex;
    }

    #inf div {
        margin: -28% 0 0 25%;
        height: 220px;
        width: 25%;
    }

    #inf p {
        font-size: 19px;
    }
}

@media screen and (max-width: 750px) {
    #tab_1, #tab_2 {
        display: none;
    }

    #tab_1_resp, #tab_2_resp {
        display: block;
    }
}

@media screen and (min-width: 700px) {
    .navbar a{
        background: linear-gradient(to top, rgba(25, 100, 135) 10%, transparent 10.01%) no-repeat left bottom / 0 100%;
        transition: background-size .3s;
    }

    .navbar #focus {
        background-color: #186587; 
        color: #fafafa;
        padding: 5px 25px 5px 25px;
        margin-left: 45px;
        border: 2px solid #69A8C3;
        border-radius: 30px;
        box-shadow: 0px 2px 0px 0px rgba(25, 100, 135, 0.635);  
    }

    .navbar #focus:hover {
        background-color: #69A8C3;
        border: 2px solid #186587;
        box-shadow: 0px 2px 0px 0px #186587;
    }

    .navbar #focus:active {
        position: relative;
        top: 1px;
        box-shadow: none;
    }

    .navbar a:hover:not(#focus) {
        background-size: 100% 100%;
    }
}


/* ----- Responsive Navbar ----------- */


@media screen and (max-width: 700px) {
    header .menu-deroulant {
        display: inline-flex;
    }

    #check:checked~.menu-deroulant #open {
        display: none;
    }

    .menu-deroulant #close {
        display: none;
    }

    #check:checked~.menu-deroulant #close {
        display: block;
    }

    .navbar {
        position :absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background-color: rgba(0,0,0,.1);
        backdrop-filter: blur(2px) ;
        box-shadow: 0 0 1px 0 rgba(0,0,0,.2), 0 0.075rem 0.6rem 0 rgba(0,0,0,.19);
        overflow: hidden;
        transition: 0.5s;
        z-index: 100;
    }

    #check:checked~.navbar {
        height: 45vw;
    } 
    
    .navbar {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 3vw;
    }
    .navbar a {
        display: none;
        padding: 5px 10px 5px 10px;
        text-align: center;
        border-radius: 0.5rem;
        box-shadow: 0 0 1px 0 rgba(0,0,0,.2), 0 0.075rem 0.6rem 0 rgba(0,0,0,.19);
        background-color: rgba(255, 255, 255, 0.555);
    }

    #check:checked~.navbar a {
        display: block;
    }

    .navbar a:hover {
        font-size: 120%;
        background-color: rgb(25, 101, 135);
        color: white;
        transition: 0.5s;
    }
}


/* ----- Responsive Page accueil / Général ----- */


@media screen and (max-width:800px){
    #main_s>div:not(div:nth-child(5)){
        width: 85%;
    }

    h2:not(#img_aide h2), #d1_a p {
        font-size : 20px;
    }

    #d2_a a {
        height: 200px;
    }
    
    #d2_a a p { 
        font-size: 27px;
    }

    .div_text div {
        width: 100%;
        gap: 6%;       
    }

    .div_text img {
        display: none;
    }

    .plus {    
        font-size: 20px;
        margin-top: -60px;      
        margin-left: 0px;
    }

    .besoin_aide {
        flex-direction: column;
        align-items: center;
        width: 90%;
        height: 900px;
        gap: 0px;
        margin-bottom: 30px;
    }

    .besoin_aide #img_aide {
        width: 90%;
        height: 300px;
    }

    #aide {
        display: grid;
        gap: 3%;
        padding: 3%;
        width: 90%;
        height: 450px;
        background-color: #69A8C3;
    }

    #img_aide img {
        margin:0;
        margin-top:100px;
        width: 60%;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    }

    #img_aide h2 {
        margin-left: 0;
        margin-top: -10%;
    }  
}

@media screen and (max-width:700px){
    #acc {
        margin-top: 58px;
    }

    #acc h1 {
        margin-bottom: -90px;
    }

    h1{
        font-size : 25px;
    }

    #d2_a a {
        height: 180px;    
    }

    #d2_a a p { 
        font-size: 22px;
    }

    .besoin_aide {
        height: 850px;
    }

    main .dif_type_transp #Tram {
        display: none;
    }

    main .dif_type_transp #Tram_resp {
        display: block;
        width: 100%;
        max-width: 300px;
    }
}

@media screen and (max-width:600px){
    .logo img {
        width : 15vw;
    }
}

@media screen and (max-width:550px){
    h1{
        font-size : 23px;
    }

    #acc {
        margin-top: 62px;
    }

    #d2_a {
        display: grid;
        grid-template: 2fr / 1fr 1fr;
    }
    
    #d2_a a {
        gap: 10%;
        width: 100%;
        height: 210px;
    }

    #d2_a a:nth-child(3) {
        flex-direction: row;
        grid-area: 2/1/3/3;
    }

    #d2_a a:nth-child(3) img {
        width: 40%;
    }

    #d2_a a p { 
        font-size: 30px;
    }

    #d2_a a img {
        width: 60%;
    }
    
    .div_text div p {
        font-size : 17px;
    }

    main .Tram p, main .dif_type_transp p {
        font-size: 1.2em;
    }
}

@media screen and (max-width:500px){
    #inf div {
        height: 150px;
    }

    #d2_a a {
        height: 200px;
    }

    #d2_a a p { 
        font-size: 27px;
    }

    .div_text div {
        height: 300px;
    }

    .besoin_aide {
        height: 800px;
    }

    .besoin_aide #img_aide {
        height: 250px;
    }

    #aide form button {
        font-size: 23px;
    }

    #img_aide p {
        font-size: 22px;
    }

    table {
        margin: 10px;
        margin-left: -10px;
        margin-right: -10px;
    }

    th {
        font-size: 0.8em;
    }

    main .Tram #horaires p:nth-child(4) {
        margin-left: 50px;
    }
    
    main .dif_type_transp #Tram_resp {
        width: 80%;
    }
}

@media screen and (max-width:460px){
    #acc p {
        font-size: 30px;
    }

    #inf div {
        width: 40%;
        height: 140px;
    }

    #inf h1 {
        font-size: 19px;
    }

    main {
        gap: 30px;
    } 

    #d2_a a {
        height: 180px;
    }

    #d2_a a p { 
        font-size: 25px;
    }

    .div_text div {
        height: 350px;
    }

    .plus {    
        margin-top: -50px;      
    }

    .besoin_aide {
        height: 650px;
    }

    .besoin_aide #img_aide {
        height: 200px;
    }

    #aide {
        height: 350px;
    }
}

@media screen and (max-width:400px){
    #acc {
        margin-top: 43px;
    }

    #acc h1 {
        margin-bottom: -70px;
    }

    #d2_a a {
        height: 160px;
    }

    #d2_a a p { 
        font-size: 23px;
    }

    .besoin_aide {
        height: 610px;
    }

    #img_aide h2 {
        font-size: 22px;
    }

    #aide button {
        font-size: 20px;
    }
}